> ## Documentation Index
> Fetch the complete documentation index at: https://docs.collab-kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete a webhook registration.

Permanently delete a webhook. All pending deliveries for this webhook will be cancelled.

## Endpoint

```
DELETE /v1/accounts/:accountId/webhooks/:id
```

## Authentication

**Bearer token** required.

## Path Parameters

<ParamField path="id" type="string" required>
  The webhook's unique ID.
</ParamField>

## Response

Returns an empty data object on success.

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X DELETE https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/webhooks/wh_abc123 \
    -H "Authorization: Bearer ${TOKEN}"
  ```

  ```typescript JavaScript theme={null}
  await fetch(`https://api.collab-kit.com/v1/accounts/${accountId}/webhooks/wh_abc123`, {
    method: 'DELETE',
    headers: { 'Authorization': `Bearer ${token}` },
  });
  ```
</CodeGroup>

```json Response theme={null}
{
  "type": "response",
  "success": true,
  "description": "Webhook deleted",
  "data": {},
  "error": null
}
```
